<?php
!defined('P_W') && exit('Forbidden');
require_once MODE . '/base/publiccontroller.php';
class indexController extends PublicController {
	
	function _before() {
		parent::_before();
		$this->_viewer->baseName = BASEURL;
		$this->_viewer->baseUrl = BASEURL . '&c='.$this->_controller;
		return true;
	}
	
	function run() {
		$categoryService = DP::loadClass('categoriesservice', 'service');
		/* @var $categoryService PW_CategoriesService */
		$categorys = $categoryService->getParentAndChild();
		$this->_viewer->parents = $categorys[0];
		$this->_viewer->childs = $categorys[1];
		$userName = $this->_getGlobal('windid');
		dianpuSeoSettings('thread');
	}
}